org.apache.ignite.ml.preprocessing.encoding

## Enum EncoderType

- java.lang.Object
- - java.lang.Enum<EncoderType>
  - - org.apache.ignite.ml.preprocessing.encoding.EncoderType

- All Implemented Interfaces:
    Serializable, Comparable<EncoderType>

      public enum EncoderType
      extends Enum<EncoderType>

  Describes Encoder preprocessor types to define resulting model in EncoderTrainer.
  See Also:
    `EncoderTrainer`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FREQUENCY_ENCODER` Frequency encoder.
    `LABEL_ENCODER` Label encoder.
    `ONE_HOT_ENCODER` One hot encoder.
    `STRING_ENCODER` String encoder.
    `TARGET_ENCODER` Target encoder.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EncoderType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EncoderType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ONE_HOT_ENCODER

          public static final EncoderType ONE_HOT_ENCODER

      One hot encoder.

    - #### STRING_ENCODER

          public static final EncoderType STRING_ENCODER

      String encoder.

    - #### FREQUENCY_ENCODER

          public static final EncoderType FREQUENCY_ENCODER

      Frequency encoder.

    - #### LABEL_ENCODER

          public static final EncoderType LABEL_ENCODER

      Label encoder.

    - #### TARGET_ENCODER

          public static final EncoderType TARGET_ENCODER

      Target encoder.

  - ### Method Detail

    - #### values

          public static EncoderType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EncoderType c : EncoderType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EncoderType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023